Description

I'm no WebUI expert, but at the moment, the Foreman interface is looking slightly wasteful on space to me and is somewhat lacking

in flexibility.

On a clean install, with a new user (administrator), on a 1920x1200 monitor, I'm getting a hosts page that wastes a lot of screen real

estate (picture attached).

Is it possible to have a table area that will expand horizontally to utilise a 1920x1200 resolution?

Even when I manage to get the Edit & drop-down on the same line, the boxes for these dictate the row height to have too much

padding above and below the text lines.

When managing a large estate of servers, no matter how I split clients up into smaller groups, there will always be cases where I am

working with several pages worth of table rows.  Managing this space better will enable more columns or data to be displayed in

each row.

User selectable columns would help specific admin tasks also.  The ability to drag'n'drop to reposition entire columns, right click to

add/remove columns, and alter the width of columns would make the interface customisable on a user by user basis.

I know I've discussed this somewhere before (perhaps just in the pub with Greg), but it dropped out of mind and I can't find previous

notes.

Cheers

Duncan

Related issues:

Related to Foreman - Feature #1403: [foreman] [UI] - tables columns should be... New 12/19/2011

Related to Foreman - Feature #2937: Resize hosts table to use more screen width New 08/14/2013

Related to Foreman - Feature #1344: Allow customization of columns in host view. Resolved 11/22/2011

History

#1 - 06/09/2014 11:57 AM - Duncan Innes

Ideally an interface would be able to:

1 - Expand horizontally to use the full width of the browser window (not stop scaling at 1200 pixels wide)

2 - Row height to be smaller - more efficient use of "Edit" & Drop-down box sizes.  Allow more rows to be displayed in browser window.

3 - Column resize - drag'n'drop the column separator '|' in the title bar to change width of columns

4 - Re-order columns - drag'n'drop the column header in the title bar to rearrange columns

5 - Change columns to display - right click in title bar for menu to add/remove columns from the table

6 - Change font size? - use a smaller font (based on a user preference for the whole application - not per table)

I'm basing this on the fact that whilst the application is streets ahead of Spacewalk for useability, I get far less on my screen.  Current 1920x1200

screen on RHEL 6 Workstation running Firefox gives me 14 rows on screen in Foreman, while Satellite/Spacewalk manages 33.  Using the vSphere

Web interface provides a lot of the functionality that I've mentioned.

#2 - 06/09/2014 12:29 PM - Dominic Cleal
- Related to Feature #1403: [foreman] [UI] - tables columns should be resizable added

#3 - 06/09/2014 12:29 PM - Dominic Cleal

- Related to Feature #2937: Resize hosts table to use more screen width added

#4 - 06/09/2014 12:29 PM - Dominic Cleal

- Related to Feature #1344: Allow customization of columns in host view. added

#5 - 06/09/2014 12:34 PM - Dominic Cleal

Linked it to some existing issues where we've discussed this.  Using Patternfly (#4629) would fix things like full-width tables, small font sizes etc.

#6 - 03/15/2016 05:42 AM - Ohad Levy

- Status changed from New to Resolved

Many of the items you mentioned are already resolved, others are separate issues, hence I'm resolving this, if you disagree, please update the ticket

accordingly - thanks!
